<!DOCTYPE html>
<html>
<head>
	<title>js-面向对象基础</title>
</head>
	<script type="text/javascript">
		/*构造函数*/ 
		function creatPerson(name,age){
				this.name=name;
				this.age=age;
				this.showName=function(){
					alert("名字"+this.name+"年龄"+this.age);
				};
	
		};
		var obj=new creatPerson("zhang","22");
		var obj1= new creatPerson("yan","21");
			obj.showName();
			obj1.showName();
			alert(obj.showName==obj1.showName);
	</script>
<body>
	
</body>
</html>